gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: add codespell bootstrap script


From: gnunet
Subject: [taler-deployment] branch master updated: add codespell bootstrap script
Date: Wed, 22 Jul 2020 22:54:39 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 83a1e5c  add codespell bootstrap script
83a1e5c is described below

commit 83a1e5ca9214477f59b6e3b3d8f4b9fe189af26b
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Wed Jul 22 22:54:36 2020 +0200

    add codespell bootstrap script
---
 bootstrap-codespell | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/bootstrap-codespell b/bootstrap-codespell
new file mode 100755
index 0000000..8608673
--- /dev/null
+++ b/bootstrap-codespell
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+# Bootstrap the Taler setup for the user account that
+# is currently logged in.
+
+# Generates a setup for a single user,
+# including a postgresql DB.
+
+set -eu
+
+BRANCH=master
+REPOS="libmicrohttpd gnunet"
+
+cd $HOME
+
+for component in $REPOS; do
+  if ! test -d $HOME/$component; then
+    git clone git://git.gnunet.org/$component.git
+  fi
+done
+for component in $REPOS; do
+  echo "Checking out $component to $BRANCH"
+  git -C $HOME/$component checkout $BRANCH
+done
+
+REPOS="exchange merchant wallet-core sync anastasis bank twister"
+
+for component in $REPOS; do
+  if ! test -d $HOME/$component; then
+    git clone git://git.taler.net/$component.git
+  fi
+done
+
+for component in $REPOS; do
+  echo "Checking out $component to $BRANCH"
+  git -C $HOME/$component checkout $BRANCH
+done
+
+if [[ ! -d worker ]]; then
+  buildbot-worker create-worker --umask=0o22 ~/worker localhost:9989 
codespell-worker codespell-pass
+fi
+
+mkdir -p ~/.config/systemd/user/
+cp systemd-services/buildbot-worker-doc.service ~/.config/systemd/user/
+
+systemctl --user daemon-reload || echo "Please use 'machinectl shell 
codespell@.host' to log in to use this script"
+
+systemctl --user enable buildbot-worker-doc.service
+systemctl --user start buildbot-worker-doc.service

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]